Katello - Bug #5636

el5 katello-agent sends up incorrect information for enabled repos
05/08/2014 03:39 PM - Justin Sherrill

Status: Closed

Priority: High

Assignee: Justin Sherrill

Category:

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Reported on #theforeman, using katello-agent-1.5.2-2.el5 from koji seems to result in the agent sending up incorrect information
(missing the baseurl) for enabled repos. This causes errata to not be visible for el5 systems.

http://koji.katello.org/packages/katello-agent/1.5.2/2.el5/noarch/katello-agent-1.5.2-2.el5.noarch.rpm

RHEL 5:

2014-05-06 20:03:05,777 [INFO][PathMonitorl] @ connection.py:596 - Connection Built: host: localho

st.localdomain, port: 443, handler: /katello/api

2014-05-06 20:03:05,777 [INFO] [PathMonitorl] @ katelloplugin.py:382 - reporting: {'enabled_repos':
{'repos': [{'repositoryid': 'ORG_EPEL_5_epel-5'}, {'repositoryid': 'ORG_HP_SPP_ELS5_hp-spp-5'}, {'

repositoryid': 'ORG_ORG_EL5_ORG-5'}, {'repositoryid': 'ORG_Puppet_EL5_puppet-5'}, {'repositoryid':
'ORG_Puppet_ELS5_puppet-dependencies-5'}, {'repositoryid': 'ORG_VMware_Tools_5_1_EL5_rhel-5"'}, {'r

epositoryid': 'rhel-5-server-cf-tools-1-rpms'}, {'repositoryid': 'rhel-5-server-fastrack-rpms'}, {
'repositoryid': 'rhel-5-server-rh-common-rpms'}, {'repositoryid': 'rhel-5-server-rpms'}, {'reposit

oryid': 'rhel-5-server-supplementary-rpms'}]}}

2014-05-06 20:03:07,141 [INFO] [PathMonitorl] @ katelloplugin.py:385 - {'processed_ids': [], 'error

_ids': [], 'unknown_labels': [], 'result': 'ok'}

RHEL 6:

2014-05-08 15:38:31,587 [INFO] [PathMonitorl] _ _init__ () @ connection.py:657 - Connection Built: ho
st: localhost.localdomain, port: 443, handler: /katello/api
2014-05-08 15:38:31,588 [INFO] [PathMonitorl] report_enabled() @ katelloplugin.py:352 - reporting:
{'enabled_repos': {'repos': [{'baseurl': ['https://localhost.localdomain/pulp/repos/ORG/Library/cu
stom/EPEL_6/epel-6'], 'repositoryid': 'ORG_EPEL_6_epel-6'}, {'baseurl': ['https://localhost.locald
omain/pulp/repos/ORG/Library/custom/HP_SPP_EL6/hp-spp-6'], 'repositoryid': 'ORG_HP_SPP_EL6_hp-spp—
6'}, {'baseurl': ['https://localhost.localdomain/pulp/repos/ORG/Library/custom/ORG_EL6/ORG-6'], 'r
epositoryid': 'ORG_ORG_EL6_ORG-6'}, {'baseurl': ['https://localhost.localdomain/pulp/repos/ORG/Lib
rary/custom/Katello_Client_FEL_6/katello-6'], 'repositoryid': 'ORG_Katello_Client_EIL_6_katello—-6"'},
{'baseurl': ['https://localhost.localdomain/pulp/repos/ORG/Library/custom/Katello_Client_EL_6/kat
ello-pulp-6'], 'repositoryid': 'ORG_Katello_Client_EL_6_katello-pulp-6'}, {'baseurl': ['https://lo
calhost.localdomain/pulp/repos/ORG/Library/custom/Puppet_EL6/puppet-6'], 'repositoryid': 'ORG_Pupp
et_EL6_puppet-6'}, {'baseurl': ['https://localhost.localdomain/pulp/repos/ORG/Library/custom/Puppe
t_EL6/puppet-dependencies-6'], 'repositoryid': 'ORG_Puppet_EL6_puppet-dependencies-6'}, {'baseurl'
['"https://localhost.localdomain/pulp/repos/ORG/Library/custom/VMware_Tools_5_1_EL6/rhel-6'], 're
positoryid': 'ORG_VMware_Tools_5_1_EL6_rhel-6'}, {'baseurl': ['https://localhost.localdomain/pulp/
repos/ORG/Library/content/dist/rhel/server/6/6Server/x86_64/cf-tools/1/0s'], 'repositoryid': 'rhel
—-6-server—-cf-tools—-1-rpms'}, {'baseurl': ['https://localhost.localdomain/pulp/repos/ORG/Library/co
ntent/fastrack/rhel/server/6/x86_64/0s'], 'repositoryid': 'rhel-6-server—-fastrack-rpms'}, {'baseur
1': ['https://localhost.localdomain/pulp/repos/ORG/Library/content/fastrack/rhel/server/6/x86_64/0
ptional/os'], 'repositoryid': 'rhel-6-server-optional-fastrack-rpms'}, {'baseurl': ['https://local
host.localdomain/pulp/repos/ORG/Library/content/dist/rhel/server/6/6Server/x86_64/optional/os'], '
repositoryid': 'rhel-6-server-optional-rpms'}, {'baseurl': ['https://localhost.localdomain/pulp/re
pos/ORG/Library/content/dist/rhel/server/6/6Server/x86_64/rh—common/os'], 'repositoryid': 'rhel-6-
server—-rh—-common-rpms'}, {'baseurl': ['https://localhost.localdomain/pulp/repos/ORG/Library/conten
http://koji.katello.org/packages/katello-agent/1.5.2/2.el5/noarch/katello-agent-1.5.2-2.el5.noarch.rpm

t/dist/rhel/server/6/6Server/x86_64/0s'], 'repositoryid': 'rhel-6-server-rpms'}, {'baseurl': ['htt
ps://localhost.localdomain/pulp/repos/ORG/Library/content/dist/rhel/server/6/6Server/x86_64/supple
mentary/os'], 'repositoryid': 'rhel-6-server-supplementary-rpms'}, {'baseurl': ['https://localhost
.localdomain/pulp/repos/ORG/Library/content/dist/rhel/server/6/6Server/x86_64/rhscl/1/0s'], 'repos
itoryid': 'rhel-server-rhscl-6-rpms'}]}}

2014-05-08 15:38:31,952 [INFO] [e24de0fc-cbl12-43fa-9584-690986cdle3c] connect () @ broker.py:107 - {
localhost.localdomain:5671} connected to AMQP

History

#1 - 05/14/2014 08:12 PM - Justin Sherrill
- Status changed from New to Closed

- Assignee set to Justin Sherrill

testing with el5 builds http:/jlsherrill.fedorapeople.org/katello-agent/1.4/ seems to work fine.

#2 - 05/27/2014 05:10 PM - Eric Helms

- Target version set to 44

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes
